Skip to main content

Get desired state documentation

GET 

/v2/devices/:id/state-documentation

Get desired state documentation

The states that are available for a given telematics device vary by device type, customer and firmware versions. This endpoint can be used to fetch the list of available states for a given telematics device.

It also includes preconditions and available parameters. Below is an example of how to configure the inputFiltering of a Trackunit telematics device:

{
"io": {
"inputFiltering": {
"preconditions": {
"minimumFirmwareVersion": 62.14
},
"parameters": [
{
"name": "enabled",
"allowedValues": [
false,
true
]
}
]
}
}
}

The required minimum firmware version is 62.14. The configuration has only one property “enabled” that can be set to either “false” or “true”.

Enabling inputFiltering using the template will be to update the desired state with the following:

{
"desired": {
"io": {
"inputFiltering": {
"enabled": "true"
}
}
}
}

See Update desired state for more information.

Request

Responses

List of available desired states